Package org.gradle.language.nativeplatform

# Interface ComponentWithStaticLibrary

All Superinterfaces:
  `ComponentWithLinkFile`, `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `CppStaticLibrary`, `SwiftStaticLibrary`

public interface ComponentWithStaticLibrary extends ComponentWithLinkFile
Represents a component that produces a static library.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends CreateStaticLibrary>`
  `getCreateTask()`
  Returns the task to create the static library.

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

  `getLinkFile, getLinkFileProducer`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getCreateTask

    Provider<? extends CreateStaticLibrary> getCreateTask()
    Returns the task to create the static library.